be.fgov.ehealth.rn.baselegaldata.v1

## Class PersonIdentificationType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.PersonIdentificationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class PersonIdentificationType
      extends Object
      implements Serializable

  Type encapsulating all legaldata of a person specific for the PersonService

  Java class for PersonIdentificationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonIdentificationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ssin" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SsinType" minOccurs="0"/>
               <sequence minOccurs="0">
                 <element name="Name" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}MinimalNameInfoType" minOccurs="0"/>
                 <element name="Birth" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}MinimalBirthInfoType" minOccurs="0"/>
                 <element name="Gender" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}MinimalGenderInfoType" minOccurs="0"/>
                 <element name="Address" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}MinimalAddressType" minOccurs="0"/>
                 <element name="ContactAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ContactAddressBaseType" minOccurs="0"/>
                 <element name="Administrator" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}MinimalAdministratorType" minOccurs="0"/>
               </sequence>
               <element name="Anomalies" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}AnomaliesType" minOccurs="0"/>
             </sequence>
             <attribute name="Register" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}PersonRegisterType" />
             <attribute name="Deceased" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonIdentificationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MinimalAddressType` | `getAddress()` Gets the value of the address property.
    `MinimalAdministratorType` | `getAdministrator()` Gets the value of the administrator property.
    `AnomaliesType` | `getAnomalies()` Gets the value of the anomalies property.
    `MinimalBirthInfoType` | `getBirth()` Gets the value of the birth property.
    `ContactAddressBaseType` | `getContactAddress()` Gets the value of the contactAddress property.
    `MinimalGenderInfoType` | `getGender()` Gets the value of the gender property.
    `MinimalNameInfoType` | `getName()` Gets the value of the name property.
    `String` | `getRegister()` Gets the value of the register property.
    `String` | `getSsin()` Gets the value of the ssin property.
    `Boolean` | `isDeceased()` Gets the value of the deceased property.
    `void` | `setAddress(MinimalAddressType value)` Sets the value of the address property.
    `void` | `setAdministrator(MinimalAdministratorType value)` Sets the value of the administrator property.
    `void` | `setAnomalies(AnomaliesType value)` Sets the value of the anomalies property.
    `void` | `setBirth(MinimalBirthInfoType value)` Sets the value of the birth property.
    `void` | `setContactAddress(ContactAddressBaseType value)` Sets the value of the contactAddress property.
    `void` | `setDeceased(Boolean value)` Sets the value of the deceased property.
    `void` | `setGender(MinimalGenderInfoType value)` Sets the value of the gender property.
    `void` | `setName(MinimalNameInfoType value)` Sets the value of the name property.
    `void` | `setRegister(String value)` Sets the value of the register property.
    `void` | `setSsin(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonIdentificationType

          public PersonIdentificationType()

  - ### Method Detail

    - #### getSsin

          public String getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSsin

          public void setSsin(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public MinimalNameInfoType getName()

      Gets the value of the name property.
      Returns:
        possible object is `MinimalNameInfoType`

    - #### setName

          public void setName(MinimalNameInfoType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `MinimalNameInfoType`

    - #### getBirth

          public MinimalBirthInfoType getBirth()

      Gets the value of the birth property.
      Returns:
        possible object is `MinimalBirthInfoType`

    - #### setBirth

          public void setBirth(MinimalBirthInfoType value)

      Sets the value of the birth property.
      Parameters:
        `value` - allowed object is `MinimalBirthInfoType`

    - #### getGender

          public MinimalGenderInfoType getGender()

      Gets the value of the gender property.
      Returns:
        possible object is `MinimalGenderInfoType`

    - #### setGender

          public void setGender(MinimalGenderInfoType value)

      Sets the value of the gender property.
      Parameters:
        `value` - allowed object is `MinimalGenderInfoType`

    - #### getAddress

          public MinimalAddressType getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `MinimalAddressType`

    - #### setAddress

          public void setAddress(MinimalAddressType value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `MinimalAddressType`

    - #### getContactAddress

          public ContactAddressBaseType getContactAddress()

      Gets the value of the contactAddress property.
      Returns:
        possible object is `ContactAddressBaseType`

    - #### setContactAddress

          public void setContactAddress(ContactAddressBaseType value)

      Sets the value of the contactAddress property.
      Parameters:
        `value` - allowed object is `ContactAddressBaseType`

    - #### getAdministrator

          public MinimalAdministratorType getAdministrator()

      Gets the value of the administrator property.
      Returns:
        possible object is `MinimalAdministratorType`

    - #### setAdministrator

          public void setAdministrator(MinimalAdministratorType value)

      Sets the value of the administrator property.
      Parameters:
        `value` - allowed object is `MinimalAdministratorType`

    - #### getAnomalies

          public AnomaliesType getAnomalies()

      Gets the value of the anomalies property.
      Returns:
        possible object is `AnomaliesType`

    - #### setAnomalies

          public void setAnomalies(AnomaliesType value)

      Sets the value of the anomalies property.
      Parameters:
        `value` - allowed object is `AnomaliesType`

    - #### getRegister

          public String getRegister()

      Gets the value of the register property.
      Returns:
        possible object is `String`

    - #### setRegister

          public void setRegister(String value)

      Sets the value of the register property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDeceased

          public Boolean isDeceased()

      Gets the value of the deceased property.
      Returns:
        possible object is `Boolean`

    - #### setDeceased

          public void setDeceased(Boolean value)

      Sets the value of the deceased property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.